REST APIPolicyPolicy Builder

GET

Lists all available actions for a given touchpoint and scope.

Path Params

  • enterpriseId string required
    Your Enterprise Id.
  • touchpointId string required
    The id of a Touchpoint.
  • filteringCondition string required
    The name of the Filtering condition to be used when creating or updating a policy rule. Not all Touchpoint Actions are compatible with all Filtering Conditions.

Responses

200
All available Actions on a given Touchpoint.

Response Body

object

Wrapper object for a list of Actions. Not paginated.
  • actions array of objects required

    ANY OF

    • name string enum required
      The name of the action.
      approvals.always.deny
    • label string required
      A label for the action which can be shown to an end user.
    • description string required
      A description for the action which can be shown to an end user.
    • status string enum required

      Status of the action. Indicates if the Actions is usable ACTIVE or not INACTIVE.

      • ACTIVE - The action is available for use.
      • INACTIVE - The action is NOT available for use.
      ACTIVEINACTIVE
    • adminOnly boolean required
      true, if this is an internal action, false otherwise.
401
Unauthorized

Response Body

object

  • code string
  • message string
  • status integer
403
Forbidden

Response Body

object

  • code string
  • message string
  • status integer
404
The specified resource was not found

Response Body

object

  • code string
  • message string
  • status integer
500
Server Error - Transient error please try again

Response Body

object

  • code string
  • message string
  • status integer